Positions summary
curl --request GET \
--url https://api.example.com/api/v1/positions/summary \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/v1/positions/summary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/v1/positions/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalOrders": 123,
"fixtureCount": 123,
"exchangeCount": 123,
"totalStake": 123,
"totalMatched": 123,
"totalOpen": 123,
"filledCount": 123,
"cancelledCount": 123,
"openCount": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Performance
Positions summary
Aggregated position statistics.
GET
/
api
/
v1
/
positions
/
summary
Positions summary
Authorizations
Client API key (UUID format). Get your key from the admin dashboard.
Query Parameters
Filter from orders created on or after this date (YYYY-MM-DD)
Filter from orders created on or before this date (YYYY-MM-DD)
Response
Successful Response
Summary of order statistics for a client.
Total number of orders
Number of unique fixtures
Number of unique exchanges
Sum of all order stakes
Sum of all matched stakes
Sum of open (unmatched) stakes
Number of filled orders
Number of cancelled orders
Number of open orders